Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlToggleControl

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIToggleControl
                          org.richfaces.component.html.HtmlToggleControl

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class HtmlToggleControl

extends UIToggleControl

Component-Type org.richfaces.ToggleControl Component-Family javax.faces.command Renderer-Type org.richfaces.ToggleControlRenderer Toggle Control

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlToggleControl()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` Access key that, when pressed, transfers focus to this element Getter for accesskey
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getFor()` String containing comma separated ids (in the format of a UIComponent.findComponent() call) of the target components.
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnblur()` JavaScript code executed when this element loses focus Getter for onblur
`java.lang.String` | `getOnclick()` JavaScript code executed when a pointer button is clicked over this element Getter for onclick
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOndblclick()` JavaScript code executed when a pointer button is double clicked over this element Getter for ondblclick
`java.lang.String` | `getOnfocus()` JavaScript code executed when this element receives focus Getter for onfocus
`java.lang.String` | `getOnkeydown()` JavaScript code executed when a key is pressed down over this element Getter for onkeydown
`java.lang.String` | `getOnkeypress()` JavaScript code executed when a key is pressed and released over this element Getter for onkeypress
`java.lang.String` | `getOnkeyup()` JavaScript code executed when a key is released over this element Getter for onkeyup
`java.lang.String` | `getOnmousedown()` JavaScript code executed when a pointer button is pressed down over this element Getter for onmousedown
`java.lang.String` | `getOnmousemove()` JavaScript code executed when a pointer button is moved within this element Getter for onmousemove
`java.lang.String` | `getOnmouseout()` JavaScript code executed when a pointer button is moved away from this element Getter for onmouseout
`java.lang.String` | `getOnmouseover()` JavaScript code executed when a pointer button is moved onto this element Getter for onmouseover
`java.lang.String` | `getOnmouseup()` JavaScript code executed when a pointer button is released over this element Getter for onmouseup
`java.lang.String` | `getPanelId()` Attribute defines Id for corresponding panel Getter for panelId
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`java.lang.String` | `getSwitchToState()` Contains one of the facets names where target togglePanel is switched to Getter for switchToState
`java.lang.String` | `getTabindex()` Position of this element in the tabbing order for the current document.
`int` | `getTimeout()` Response waiting time on a particular request.
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getValid()` ${prop.xmlEncodedDescription} Getter for valid
`boolean` | `isAjaxSingle()` if "true", submit ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase skip updates of model beans an force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property. if "false" (default) updates all rendered by ajax region components Getter for limitToList
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` Access key that, when pressed, transfers focus to this element Setter for accesskey
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submit ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase skip updates of model beans an force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setFor(java.lang.String __for)` String containing comma separated ids (in the format of a UIComponent.findComponent() call) of the target components.
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property. if "false" (default) updates all rendered by ajax region components Setter for limitToList
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnblur(java.lang.String __onblur)` JavaScript code executed when this element loses focus Setter for onblur
`void` | `setOnclick(java.lang.String __onclick)` JavaScript code executed when a pointer button is clicked over this element Setter for onclick
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOndblclick(java.lang.String __ondblclick)` JavaScript code executed when a pointer button is double clicked over this element Setter for ondblclick
`void` | `setOnfocus(java.lang.String __onfocus)` JavaScript code executed when this element receives focus Setter for onfocus
`void` | `setOnkeydown(java.lang.String __onkeydown)` JavaScript code executed when a key is pressed down over this element Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` JavaScript code executed when a key is pressed and released over this element Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` JavaScript code executed when a key is released over this element Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` JavaScript code executed when a pointer button is pressed down over this element Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` JavaScript code executed when a pointer button is moved within this element Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` JavaScript code executed when a pointer button is moved away from this element Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` JavaScript code executed when a pointer button is moved onto this element Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` JavaScript code executed when a pointer button is released over this element Setter for onmouseup
`void` | `setPanelId(java.lang.String __panelId)` Attribute defines Id for corresponding panel Setter for panelId
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`void` | `setSwitchToState(java.lang.String __switchToState)` Contains one of the facets names where target togglePanel is switched to Setter for switchToState
`void` | `setTabindex(java.lang.String __tabindex)` Position of this element in the tabbing order for the current document.
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setValid(java.lang.String __valid)` ${prop.xmlEncodedDescription} Setter for valid

Methods inherited from class org.richfaces.component.UIToggleControl
`getPanel, getRendersChildren, getReRender, setReRender`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.event.AjaxSource
`addAjaxListener, getAjaxListeners, removeAjaxListener`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlToggleControl

    public HtmlToggleControl()

  Constructor to init default renderers

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  Access key that, when pressed, transfers focus to this element Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  Access key that, when pressed, transfers focus to this element Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submit ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submit ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase skip updates of model beans an force render response. Can be used for validate components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase skip updates of model beans an force render response. Can be used for validate components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move, etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move, etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  String containing comma separated ids (in the format of a UIComponent.findComponent() call) of the target components. Setter for for

  Specified by:
    `setFor` in class `UIToggleControl`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  String containing comma separated ids (in the format of a UIComponent.findComponent() call) of the target components. Getter for for

  Specified by:
    `getFor` in class `UIToggleControl`
  Returns:
    for value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. if "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. if "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  JavaScript code executed when this element loses focus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  JavaScript code executed when this element loses focus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  JavaScript code executed when a pointer button is clicked over this element Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  JavaScript code executed when a pointer button is clicked over this element Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  JavaScript code executed when a pointer button is double clicked over this element Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  JavaScript code executed when a pointer button is double clicked over this element Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  JavaScript code executed when this element receives focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  JavaScript code executed when this element receives focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  JavaScript code executed when a key is pressed down over this element Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  JavaScript code executed when a key is pressed down over this element Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  JavaScript code executed when a key is pressed and released over this element Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  JavaScript code executed when a key is pressed and released over this element Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  JavaScript code executed when a key is released over this element Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  JavaScript code executed when a key is released over this element Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  JavaScript code executed when a pointer button is pressed down over this element Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  JavaScript code executed when a pointer button is pressed down over this element Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  JavaScript code executed when a pointer button is moved within this element Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  JavaScript code executed when a pointer button is moved within this element Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  JavaScript code executed when a pointer button is moved away from this element Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  JavaScript code executed when a pointer button is moved away from this element Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  JavaScript code executed when a pointer button is moved onto this element Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  JavaScript code executed when a pointer button is moved onto this element Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  JavaScript code executed when a pointer button is released over this element Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  JavaScript code executed when a pointer button is released over this element Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setPanelId

    public void setPanelId(java.lang.String __panelId)

  Attribute defines Id for corresponding panel Setter for panelId

  Specified by:
    `setPanelId` in class `UIToggleControl`
  Parameters:
    `panelId` - - new value

### getPanelId

    public java.lang.String getPanelId()

  Attribute defines Id for corresponding panel Getter for panelId

  Specified by:
    `getPanelId` in class `UIToggleControl`
  Returns:
    panelId value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSwitchToState

    public void setSwitchToState(java.lang.String __switchToState)

  Contains one of the facets names where target togglePanel is switched to Setter for switchToState

  Specified by:
    `setSwitchToState` in class `UIToggleControl`
  Parameters:
    `switchToState` - - new value

### getSwitchToState

    public java.lang.String getSwitchToState()

  Contains one of the facets names where target togglePanel is switched to Getter for switchToState

  Specified by:
    `getSwitchToState` in class `UIToggleControl`
  Returns:
    switchToState value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767 Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767 Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setValid

    public void setValid(java.lang.String __valid)

  ${prop.xmlEncodedDescription} Setter for valid

  Parameters:
    `valid` - - new value

### getValid

    public java.lang.String getValid()

  ${prop.xmlEncodedDescription} Getter for valid

  Returns:
    valid value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIToggleControl`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.